**Source URL:** https://general.veevavault.dev/sitevault/vault-api/api-reference/22.3/documents/export-documents/export-document-versions

# Export Document Versions

Export a specific set of document versions to your Vault's [file staging server](/sitevault/vault-api/guides/file-staging). The files you export go to the `u{userID}` folder, regardless of your security profile.

<Endpoint path="/api/{version}/objects/documents/versions/batch/actions/fileextract" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters

Prepare a JSON input file with the following body parameters for each document version you wish to export:

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | ID of the document to export. |
| `major_version_number__v` | The major version number of the document to export. |
| `minor_version_number__v` | The minor version number of the document to export. |
</FieldTable>

## Query Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `source` | To exclude source files, include a query parameter `source=false`. If omitted, defaults to `true`. |
| `renditions` | To include renditions, include a query parameter `renditions=true`. If omitted, defaults to `false`. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
--data-binary @"C:\Vault\Documents\export_document_version.json" \
https://myvault.veevavault.com/api/v17.3/objects/documents/versions/batch/actions/fileextract
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "url": "/api/v19.1/services/jobs/40604",
    "job_id": "40604"
}
```
</CodeExample>

## Response Details

On SUCCESS, the response includes the following information:

---

**Previous:** [Export Documents](/sitevault/vault-api/api-reference/22.3/documents/export-documents/export-documents)  
**Next:** [Retrieve Document Export Results](/sitevault/vault-api/api-reference/22.3/documents/export-documents/retrieve-document-export-results)